Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# NetDatagram Class Reference

A specific kind of Datagram, especially for sending across or receiving from a network. More...

Inheritance diagram for NetDatagram:

List of all members.

## Public Member Functions
| NetDatagram ()
| Constructs an empty datagram.
| NetDatagram (Datagram const copy)
| NetDatagram (NetDatagram const copy)
NetAddress const | getAddress ()
| Retrieves the host from which the datagram was read, or to which it is scheduled to be sent.
Connection | getConnection ()
| Retrieves the socket from which the datagram was read, or to which it is scheduled to be written.
NetDatagram | operator= (NetDatagram const copy)
NetDatagram | operator= (Datagram const copy)
| setAddress (NetAddress const address)
| Specifies the host to which the datagram should be sent.
| setConnection (Connection connection)
| Specifies the socket to which the datagram should be written.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A specific kind of Datagram, especially for sending across or receiving from a network.

It's different only in that it knows which Connection and/or NetAddress it is to be sent to or was received from.

## Constructor & Destructor Documentation

NetDatagram | ( |  | ) |

Constructs an empty datagram.

NetDatagram | ( | Datagram const | copy | ) |

NetDatagram | ( | NetDatagram const | copy | ) |

## Member Function Documentation

NetAddress const getAddress | ( |  | ) |

Retrieves the host from which the datagram was read, or to which it is scheduled to be sent.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from Datagram.

Connection getConnection | ( |  | ) |

Retrieves the socket from which the datagram was read, or to which it is scheduled to be written.

NetDatagram operator= | ( | Datagram const | copy | ) |

Reimplemented from Datagram.

NetDatagram operator= | ( | NetDatagram const | copy | ) |

setAddress | ( | NetAddress const | address | ) |

Specifies the host to which the datagram should be sent.

setConnection | ( | Connection | connection | ) |

Specifies the socket to which the datagram should be written.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties